Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.template.mapper
Class BaseMapper

    java.lang.Object
      org.apache.turbine.services.template.mapper.BaseMapper

Direct Known Subclasses:
  BaseTemplateMapper, ClassMapper, DirectMapper

    public abstract class BaseMapper

extends Object

A base class for the various mappers which contains common code.

Version:
  $Id: BaseMapper.java 1073174 2011-02-21 22:18:45Z tv $
Author:
  Henning P. Schmiedehausen

Field Summary
`protected String` | `defaultProperty` The name of the default property to pull from the Template Engine Service if the default is requested
`protected char` | `separator` The separator used to concatenate the result parts for this mapper.

Constructor Summary
`BaseMapper()` Default C'tor.

Method Summary
`abstract String` | `doMapping(String template)` The actual mapping implementation class.
`int` | `getCacheSize()` Get the CacheSize value.
`String` | `getDefaultName(String template)` Returns the default name for the passed Template.
`String` | `getDefaultProperty()` Get the DefaultProperty value.
`String` | `getMappedName(String template)` Return the first match name for the given template name.
`char` | `getSeparator()` Get the Separator value.
`void` | `init()` Initializes the Mapper.
`boolean` | `isUseCache()` Get the UseCache value.
`void` | `setCacheSize(int cacheSize)` Set the CacheSize value.
`void` | `setDefaultProperty(String defaultProperty)` Set the DefaultProperty value.
`void` | `setSeparator(char separator)` Set the Separator value.
`void` | `setUseCache(boolean useCache)` Set the UseCache value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultProperty

    protected String defaultProperty

  The name of the default property to pull from the Template Engine Service if the default is requested

### separator

    protected char separator

  The separator used to concatenate the result parts for this mapper.

Constructor Detail

### BaseMapper

    public BaseMapper()

  Default C'tor. If you use this C'tor, you must use the bean setter to set the various properties needed for this mapper before first usage.

Method Detail

### getCacheSize

    public int getCacheSize()

  Get the CacheSize value.

  Returns:
    the CacheSize value.

### setCacheSize

    public void setCacheSize(int cacheSize)

  Set the CacheSize value.

  Parameters:
    `cacheSize` - The new CacheSize value.

### isUseCache

    public boolean isUseCache()

  Get the UseCache value.

  Returns:
    the UseCache value.

### setUseCache

    public void setUseCache(boolean useCache)

  Set the UseCache value.

  Parameters:
    `newUseCache` - The new UseCache value.

### getDefaultProperty

    public String getDefaultProperty()

  Get the DefaultProperty value.

  Returns:
    the DefaultProperty value.

### setDefaultProperty

    public void setDefaultProperty(String defaultProperty)

  Set the DefaultProperty value.

  Parameters:
    `defaultProperty` - The new DefaultProperty value.

### getSeparator

    public char getSeparator()

  Get the Separator value.

  Returns:
    the Separator value.

### setSeparator

    public void setSeparator(char separator)

  Set the Separator value.

  Parameters:
    `separator` - The new Separator value.

### init

    public void init()

  Initializes the Mapper. Must be called before the mapper might be used.

### getDefaultName

    public String getDefaultName(String template)

  Returns the default name for the passed Template. If the passed template has no extension, the default extension is assumed. If the template is empty, the default template is returned.

  Parameters:
    `template` - The template name.
  Returns:
    the mapped default name for the template.

### getMappedName

    public String getMappedName(String template)

  Return the first match name for the given template name.

  Parameters:
    `template` - The template name.
  Returns:
    The first matching class or template name.

### doMapping

    public abstract String doMapping(String template)

  The actual mapping implementation class. It is guaranteed that never an empty or null template name is passed to it. This might return null.

  Parameters:
    `template` - The template name.
  Returns:
    The mapped class or template name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.